
Name: pageedit
Summary: A single page visual XHTML editor based on Sigil's Deprecated BookView.
Version: 1.9.20
Release: %mkrel 2
Group: Office
License: GPLv2 and LGPLv2
Source: PageEdit-%{version}.tar.xz
URL:  https://github.com/Sigil-Ebook/PageEdit  

BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: sd

Requires: lib64qt5concurrent5
Requires: lib64qt5core5
Requires: lib64qt5gui5
Requires: lib64qt5network5
Requires: lib64qt5positioning5
Requires: lib64qt5printsupport5
Requires: lib64qt5qml5
Requires: lib64qt5quick5
Requires: lib64qt5svg5
Requires: lib64qt5webchannel5
Requires: lib64qt5widgets5
Requires: lib64qt5xml5
Requires: qtxmlpatterns5
Requires: qtwebengine5

%description
Page Edit is a single page visual XHTML editor based on Sigil's
Deprecated BookView. It uses QtWebEngine instead of QtWebKit. It
replaces much of what Sigil's BookView could do plus it integrates
the QtWebEngine Inspector which allows you to see the result of your
visual editing live, and make changes via the Inspector interface itself.


#------------------------------------------------------------------------------

%prep
%setup -qn PageEdit-%{version}


%build
%cmake_qt5 \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DINSTALL_BUNDLED_DICTS=OFF
%cmake_build

%install
rm -rf %buildroot
%cmake_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Office" \
  --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*.desktop

%files
%{_bindir}/pageedit
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/128x128/apps/pageedit.png
%{_datadir}/icons/hicolor/256x256/apps/pageedit.png
%{_datadir}/icons/hicolor/32x32/apps/pageedit.png
%{_datadir}/icons/hicolor/48x48/apps/pageedit.png
%{_datadir}/icons/hicolor/scalable/apps/pageedit.svg
%{_datadir}/pageedit/translations

%changelog
* Mon Oct 03 2022 tex - 1.9.20-2pclos2022
- rebuild against updates

* Sat Sep 03 2022 tex - 1.9.20-1pclos2022
- new version

* Tue Aug 23 2022 tex - 1.9.10-2pclos2022
- rebuild against updates

* Sun Aug 21 2022 tex - 1.9.10-1pclos2022
- new version

* Sat Sep 04 2021 tex - 1.7.0-1pclos2021
- new version

* Mon May 31 2021 tex - 1.6.0-1pclos2021
- new version

* Wed Mar 24 2021 tex - 1.5.0-1pclos2021
- new version

* Wed Nov 18 2020 tex - 1.4.0-1pclos2020
- new version

* Wed Apr 08 2020 tex - 1.2.0-1pclos2020
- new version

* Sat Dec 21 2019 tex - 1.0.0-1pclos2020
- new version

* Thu Sep 05 2019 tex - 0.9.5-1pclos2019
- new version

* Sun Aug 11 2019 tex - 0.8.0-1pclos2019
- new version

* Tue Jul 23 2019 tex - 0.7.1-1pclos2019
- new version

* Tue Jul 02 2019 tex - 0.7.0-1pclos2019
- new


